deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michal Fojtik <mfoj...@redhat.com>
Subject Re: Launching the CIMI webclient
Date Tue, 19 Feb 2013 10:24:41 GMT
On 02/18, David Lutterkort wrote:

This was broken recently by initializers and Martha should have fix for
this now :)

  -- Michal

> Hi,
> 
> I just tried to launch the CIMI webclient from a git checkout, following
> the instructions in clients/cimi/README.md
> 
> When I run './bin/start -u "http://localhost:3001/cimi"' I get the
> attached error message. What am I doing wrong ?
> 
> Also, it would be much cleaner if you passed the URL of the CIMI cloud
> entrypoint to the start script, to make URL surgery unnecessary.
> 
> David
> 

> 15:50:23 [rerun] Cimi launched
> /homes/lutter/code/deltacloud/git/server/lib/deltacloud/helpers/driver_helper.rb:16:in
`<top (required)>': uninitialized constant Deltacloud (NameError)
>         from /homes/lutter/code/deltacloud/git/server/lib/db/provider.rb:16:in `require_relative'
>         from /homes/lutter/code/deltacloud/git/server/lib/db/provider.rb:16:in `<top
(required)>'
>         from /homes/lutter/code/deltacloud/git/server/lib/cimi/models.rb:42:in `require_relative'
>         from /homes/lutter/code/deltacloud/git/server/lib/cimi/models.rb:42:in `<top
(required)>'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'
>         from /homes/lutter/code/deltacloud/git/clients/cimi/init.rb:31:in `<top (required)>'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in
`require'
>         from ./bin/../config.ru:16:in `block in <main>'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/rack-1.5.2/lib/rack/builder.rb:55:in
`instance_eval'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/rack-1.5.2/lib/rack/builder.rb:55:in
`initialize'
>         from ./bin/../config.ru:1:in `new'
>         from ./bin/../config.ru:1:in `<main>'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/lib/rack/adapter/loader.rb:33:in
`eval'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/lib/rack/adapter/loader.rb:33:in
`load'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/lib/thin/controllers/controller.rb:181:in
`load_rackup_config'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/lib/thin/controllers/controller.rb:71:in
`start'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/lib/thin/runner.rb:187:in
`run_command'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/lib/thin/runner.rb:152:in
`run!'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/lib/ruby/gems/1.9.1/gems/thin-1.5.0/bin/thin:6:in
`<top (required)>'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/bin/thin:23:in `load'
>         from /homes/lutter/.rbenv/versions/1.9.3-p194/bin/thin:23:in `<main>'
> 
> 15:50:25 [rerun] Cimi Launch Failed
> 15:50:26 [rerun] Watching /homes/lutter/code/deltacloud/git/clients/cimi/**/*.{rb,js,css,scss,sass,erb,html,haml,ru}
using Linux adapter
> ^C
> 15:50:27 [rerun] Cimi stopping
> 15:50:27 [rerun] Sending signal TERM to 18228
> a


-- 
Michal Fojtik <mfojtik@redhat.com>
Deltacloud API, CloudForms

Mime
View raw message